<?php
class Session {
                                // private $user_id;
                                // $realName;
                                // $branch;
                                // $role;
   
    public function __construct(private int $user_id,
                                private string $realName,
                                private string $branch,
                                private string $role) 
        {
            $this->user_id = $user_id ;
            $this->realName = $realName ;
            $this->branch = $branch ;
            $this->role = $role ;
      
        }
        public function startSession():void
        {
            session_start() ;
            // is a PHP function that starts the session or resumes the current one.
        }
        public function endSession():void
        {
            session_destroy() ;
        }
        public function extendTime():void
        {
            session_regenerate_id(true);
        }
}
?>